"Deprecated" issues - how to suppress?

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

"Deprecated" issues - how to suppress?

Postby spacenaut » 03. March 2011 03:28

Hi, I ran into an issue with Wordpress installed on XAMPP 1.7.3 that I can't seem to find a way around. I keep getting deprecation issues related to Wordpress files, I've edited php.ini and included "error_reporting(0);" in wp-config.php but the deprecated errors STILL persist and eventually MySQL crashes..

Yes I have shut down Apache then restarted.

I thought editing the php.ini would have been the winning ticket but evidently not. Does anyone have any ideas about how to go about suppressing these warnings?

Thanks! :wink:
spacenaut
 
Posts: 2
Joined: 03. March 2011 02:53

Re: "Deprecated" issues - how to suppress?

Postby MegaChriz » 04. March 2011 15:30

Does it work if you add the following to wp-config.php:
Code: Select all
// Hide E_DEPRECATED messages.
if (defined('E_DEPRECATED')) {
  error_reporting(error_reporting() & ~E_DEPRECATED);
}
MegaChriz
 
Posts: 158
Joined: 16. February 2009 15:04
Location: Amersfoort, The Netherlands
XAMPP Version: 1.8.3-3
Operating System: Mac OS X

Re: "Deprecated" issues - how to suppress?

Postby spacenaut » 06. March 2011 10:37

Perfect! That did the trick and no errors are being reported now. Many thanks! :D
spacenaut
 
Posts: 2
Joined: 03. March 2011 02:53


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 5 guests